source: squid-ssl/trunk/fuentes/src/adaptation/Makefile.in @ 5496

Last change on this file since 5496 was 5496, checked in by Juanma, 22 months ago

Initial release

File size: 45.0 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91check_PROGRAMS =
92@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
93@USE_ICAP_CLIENT_TRUE@am__append_2 = icap
94@USE_ECAP_TRUE@am__append_3 = ecap
95subdir = src/adaptation
96ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
97am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
98        $(top_srcdir)/acinclude/init.m4 \
99        $(top_srcdir)/acinclude/squid-util.m4 \
100        $(top_srcdir)/acinclude/compiler-flags.m4 \
101        $(top_srcdir)/acinclude/os-deps.m4 \
102        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
103        $(top_srcdir)/acinclude/pkg.m4 \
104        $(top_srcdir)/acinclude/lib-checks.m4 \
105        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
106        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
107        $(top_srcdir)/helpers/basic_auth/modules.m4 \
108        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/modules.m4 \
123        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
124        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
125        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/modules.m4 \
135        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
136        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
137        $(top_srcdir)/helpers/external_acl/modules.m4 \
138        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
141        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
142        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
143        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
144        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
145        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
146        $(top_srcdir)/helpers/external_acl/session/required.m4 \
147        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
148        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
149        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
150        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
152        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
153        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
154        $(top_srcdir)/configure.ac
155am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
156        $(ACLOCAL_M4)
157DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
158mkinstalldirs = $(install_sh) -d
159CONFIG_HEADER = $(top_builddir)/include/autoconf.h
160CONFIG_CLEAN_FILES =
161CONFIG_CLEAN_VPATH_FILES =
162LTLIBRARIES = $(noinst_LTLIBRARIES)
163am__DEPENDENCIES_1 =
164am_libadaptation_la_OBJECTS = AccessCheck.lo AccessRule.lo Answer.lo \
165        Config.lo DynamicGroupCfg.lo Elements.lo Initiate.lo \
166        Initiator.lo Iterator.lo Message.lo Service.lo \
167        ServiceConfig.lo ServiceGroups.lo ServiceFilter.lo History.lo
168libadaptation_la_OBJECTS = $(am_libadaptation_la_OBJECTS)
169AM_V_lt = $(am__v_lt_@AM_V@)
170am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
171am__v_lt_0 = --silent
172am__v_lt_1 =
173AM_V_P = $(am__v_P_@AM_V@)
174am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
175am__v_P_0 = false
176am__v_P_1 = :
177AM_V_GEN = $(am__v_GEN_@AM_V@)
178am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
179am__v_GEN_0 = @echo "  GEN     " $@;
180am__v_GEN_1 =
181AM_V_at = $(am__v_at_@AM_V@)
182am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
183am__v_at_0 = @
184am__v_at_1 =
185DEFAULT_INCLUDES =
186depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
187am__depfiles_maybe = depfiles
188am__mv = mv -f
189CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
190        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
191LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
192        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
193        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
194        $(AM_CXXFLAGS) $(CXXFLAGS)
195AM_V_CXX = $(am__v_CXX_@AM_V@)
196am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
197am__v_CXX_0 = @echo "  CXX     " $@;
198am__v_CXX_1 =
199CXXLD = $(CXX)
200CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
201        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
202        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
203AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
204am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
205am__v_CXXLD_0 = @echo "  CXXLD   " $@;
206am__v_CXXLD_1 =
207COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
208        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
209LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
210        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
211        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
212        $(AM_CFLAGS) $(CFLAGS)
213AM_V_CC = $(am__v_CC_@AM_V@)
214am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
215am__v_CC_0 = @echo "  CC      " $@;
216am__v_CC_1 =
217CCLD = $(CC)
218LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
219        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
220        $(AM_LDFLAGS) $(LDFLAGS) -o $@
221AM_V_CCLD = $(am__v_CCLD_@AM_V@)
222am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
223am__v_CCLD_0 = @echo "  CCLD    " $@;
224am__v_CCLD_1 =
225SOURCES = $(libadaptation_la_SOURCES)
226DIST_SOURCES = $(libadaptation_la_SOURCES)
227RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
228        ctags-recursive dvi-recursive html-recursive info-recursive \
229        install-data-recursive install-dvi-recursive \
230        install-exec-recursive install-html-recursive \
231        install-info-recursive install-pdf-recursive \
232        install-ps-recursive install-recursive installcheck-recursive \
233        installdirs-recursive pdf-recursive ps-recursive \
234        tags-recursive uninstall-recursive
235am__can_run_installinfo = \
236  case $$AM_UPDATE_INFO_DIR in \
237    n|no|NO) false;; \
238    *) (install-info --version) >/dev/null 2>&1;; \
239  esac
240RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
241  distclean-recursive maintainer-clean-recursive
242am__recursive_targets = \
243  $(RECURSIVE_TARGETS) \
244  $(RECURSIVE_CLEAN_TARGETS) \
245  $(am__extra_recursive_targets)
246AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
247        check recheck distdir
248am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
249# Read a list of newline-separated strings from the standard input,
250# and print each of them once, without duplicates.  Input order is
251# *not* preserved.
252am__uniquify_input = $(AWK) '\
253  BEGIN { nonempty = 0; } \
254  { items[$$0] = 1; nonempty = 1; } \
255  END { if (nonempty) { for (i in items) print i; }; } \
256'
257# Make sure the list of sources is unique.  This is necessary because,
258# e.g., the same source file might be shared among _SOURCES variables
259# for different programs/libraries.
260am__define_uniq_tagged_files = \
261  list='$(am__tagged_files)'; \
262  unique=`for i in $$list; do \
263    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
264  done | $(am__uniquify_input)`
265ETAGS = etags
266CTAGS = ctags
267am__tty_colors_dummy = \
268  mgn= red= grn= lgn= blu= brg= std=; \
269  am__color_tests=no
270am__tty_colors = { \
271  $(am__tty_colors_dummy); \
272  if test "X$(AM_COLOR_TESTS)" = Xno; then \
273    am__color_tests=no; \
274  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
275    am__color_tests=yes; \
276  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
277    am__color_tests=yes; \
278  fi; \
279  if test $$am__color_tests = yes; then \
280    red='[0;31m'; \
281    grn='[0;32m'; \
282    lgn='[1;32m'; \
283    blu='[1;34m'; \
284    mgn='[0;35m'; \
285    brg='[1m'; \
286    std='[m'; \
287  fi; \
288}
289am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
290am__vpath_adj = case $$p in \
291    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
292    *) f=$$p;; \
293  esac;
294am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
295am__install_max = 40
296am__nobase_strip_setup = \
297  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
298am__nobase_strip = \
299  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
300am__nobase_list = $(am__nobase_strip_setup); \
301  for p in $$list; do echo "$$p $$p"; done | \
302  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
303  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
304    if (++n[$$2] == $(am__install_max)) \
305      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
306    END { for (dir in files) print dir, files[dir] }'
307am__base_list = \
308  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
309  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
310am__uninstall_files_from_dir = { \
311  test -z "$$files" \
312    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
313    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
314         $(am__cd) "$$dir" && rm -f $$files; }; \
315  }
316am__recheck_rx = ^[     ]*:recheck:[    ]*
317am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
318am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
319# A command that, given a newline-separated list of test names on the
320# standard input, print the name of the tests that are to be re-run
321# upon "make recheck".
322am__list_recheck_tests = $(AWK) '{ \
323  recheck = 1; \
324  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
325    { \
326      if (rc < 0) \
327        { \
328          if ((getline line2 < ($$0 ".log")) < 0) \
329            recheck = 0; \
330          break; \
331        } \
332      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
333        { \
334          recheck = 0; \
335          break; \
336        } \
337      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
338        { \
339          break; \
340        } \
341    }; \
342  if (recheck) \
343    print $$0; \
344  close ($$0 ".trs"); \
345  close ($$0 ".log"); \
346}'
347# A command that, given a newline-separated list of test names on the
348# standard input, create the global log from their .trs and .log files.
349am__create_global_log = $(AWK) ' \
350function fatal(msg) \
351{ \
352  print "fatal: making $@: " msg | "cat >&2"; \
353  exit 1; \
354} \
355function rst_section(header) \
356{ \
357  print header; \
358  len = length(header); \
359  for (i = 1; i <= len; i = i + 1) \
360    printf "="; \
361  printf "\n\n"; \
362} \
363{ \
364  copy_in_global_log = 1; \
365  global_test_result = "RUN"; \
366  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
367    { \
368      if (rc < 0) \
369         fatal("failed to read from " $$0 ".trs"); \
370      if (line ~ /$(am__global_test_result_rx)/) \
371        { \
372          sub("$(am__global_test_result_rx)", "", line); \
373          sub("[        ]*$$", "", line); \
374          global_test_result = line; \
375        } \
376      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
377        copy_in_global_log = 0; \
378    }; \
379  if (copy_in_global_log) \
380    { \
381      rst_section(global_test_result ": " $$0); \
382      while ((rc = (getline line < ($$0 ".log"))) != 0) \
383      { \
384        if (rc < 0) \
385          fatal("failed to read from " $$0 ".log"); \
386        print line; \
387      }; \
388      printf "\n"; \
389    }; \
390  close ($$0 ".trs"); \
391  close ($$0 ".log"); \
392}'
393# Restructured Text title.
394am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
395# Solaris 10 'make', and several other traditional 'make' implementations,
396# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
397# by disabling -e (using the XSI extension "set +e") if it's set.
398am__sh_e_setup = case $$- in *e*) set +e;; esac
399# Default flags passed to test drivers.
400am__common_driver_flags = \
401  --color-tests "$$am__color_tests" \
402  --enable-hard-errors "$$am__enable_hard_errors" \
403  --expect-failure "$$am__expect_failure"
404# To be inserted before the command running the test.  Creates the
405# directory for the log if needed.  Stores in $dir the directory
406# containing $f, in $tst the test, in $log the log.  Executes the
407# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
408# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
409# will run the test scripts (or their associated LOG_COMPILER, if
410# thy have one).
411am__check_pre = \
412$(am__sh_e_setup);                                      \
413$(am__vpath_adj_setup) $(am__vpath_adj)                 \
414$(am__tty_colors);                                      \
415srcdir=$(srcdir); export srcdir;                        \
416case "$@" in                                            \
417  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
418    *) am__odir=.;;                                     \
419esac;                                                   \
420test "x$$am__odir" = x"." || test -d "$$am__odir"       \
421  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
422if test -f "./$$f"; then dir=./;                        \
423elif test -f "$$f"; then dir=;                          \
424else dir="$(srcdir)/"; fi;                              \
425tst=$$dir$$f; log='$@';                                 \
426if test -n '$(DISABLE_HARD_ERRORS)'; then               \
427  am__enable_hard_errors=no;                            \
428else                                                    \
429  am__enable_hard_errors=yes;                           \
430fi;                                                     \
431case " $(XFAIL_TESTS) " in                              \
432  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
433    am__expect_failure=yes;;                            \
434  *)                                                    \
435    am__expect_failure=no;;                             \
436esac;                                                   \
437$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
438# A shell command to get the names of the tests scripts with any registered
439# extension removed (i.e., equivalently, the names of the test logs, with
440# the '.log' extension removed).  The result is saved in the shell variable
441# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
442# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
443# since that might cause problem with VPATH rewrites for suffix-less tests.
444# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
445am__set_TESTS_bases = \
446  bases='$(TEST_LOGS)'; \
447  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
448  bases=`echo $$bases`
449RECHECK_LOGS = $(TEST_LOGS)
450TEST_SUITE_LOG = test-suite.log
451TEST_EXTENSIONS = @EXEEXT@ .test
452LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
453LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
454am__set_b = \
455  case '$@' in \
456    */*) \
457      case '$*' in \
458        */*) b='$*';; \
459          *) b=`echo '$@' | sed 's/\.log$$//'`; \
460       esac;; \
461    *) \
462      b='$*';; \
463  esac
464am__test_logs1 = $(TESTS:=.log)
465am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
466TEST_LOGS = $(am__test_logs2:.test.log=.log)
467TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
468TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
469        $(TEST_LOG_FLAGS)
470DIST_SUBDIRS = icap ecap
471am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
472        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am \
473        $(top_srcdir)/src/TestHeaders.am
474DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
475am__relativize = \
476  dir0=`pwd`; \
477  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
478  sed_rest='s,^[^/]*/*,,'; \
479  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
480  sed_butlast='s,/*[^/]*$$,,'; \
481  while test -n "$$dir1"; do \
482    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
483    if test "$$first" != "."; then \
484      if test "$$first" = ".."; then \
485        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
486        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
487      else \
488        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
489        if test "$$first2" = "$$first"; then \
490          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
491        else \
492          dir2="../$$dir2"; \
493        fi; \
494        dir0="$$dir0"/"$$first"; \
495      fi; \
496    fi; \
497    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
498  done; \
499  reldir="$$dir2"
500ACLOCAL = @ACLOCAL@
501ADAPTATION_LIBS = @ADAPTATION_LIBS@
502ALLOCA = @ALLOCA@
503AMTAR = @AMTAR@
504AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
505AR = @AR@
506ARGZ_H = @ARGZ_H@
507AR_R = @AR_R@
508AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
509AUTH_MODULES = @AUTH_MODULES@
510AUTOCONF = @AUTOCONF@
511AUTOHEADER = @AUTOHEADER@
512AUTOMAKE = @AUTOMAKE@
513AWK = @AWK@
514BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
515BUILDCXX = @BUILDCXX@
516BUILDCXXFLAGS = @BUILDCXXFLAGS@
517BZR = @BZR@
518CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
519CC = @CC@
520CCDEPMODE = @CCDEPMODE@
521CFLAGS = @CFLAGS@
522CGIEXT = @CGIEXT@
523CHMOD = @CHMOD@
524CPP = @CPP@
525CPPFLAGS = @CPPFLAGS@
526CPPUNITCONFIG = @CPPUNITCONFIG@
527CRYPTLIB = @CRYPTLIB@
528CXX = @CXX@
529CXXCPP = @CXXCPP@
530CXXDEPMODE = @CXXDEPMODE@
531CXXFLAGS = @CXXFLAGS@
532CYGPATH_W = @CYGPATH_W@
533DEFAULT_HOSTS = @DEFAULT_HOSTS@
534DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
535DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
536DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
537DEFS = @DEFS@
538DEPDIR = @DEPDIR@
539DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
540DISK_LIBS = @DISK_LIBS@
541DISK_LINKOBJS = @DISK_LINKOBJS@
542DISK_MODULES = @DISK_MODULES@
543DISK_OS_LIBS = @DISK_OS_LIBS@
544DISK_PROGRAMS = @DISK_PROGRAMS@
545DLLTOOL = @DLLTOOL@
546DSYMUTIL = @DSYMUTIL@
547DUMPBIN = @DUMPBIN@
548ECAP_LIBS = @ECAP_LIBS@
549ECHO_C = @ECHO_C@
550ECHO_N = @ECHO_N@
551ECHO_T = @ECHO_T@
552EGREP = @EGREP@
553EPOLL_LIBS = @EPOLL_LIBS@
554EUILIB = @EUILIB@
555EXEEXT = @EXEEXT@
556EXPATLIB = @EXPATLIB@
557EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
558EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
559EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
560FALSE = @FALSE@
561FGREP = @FGREP@
562GREP = @GREP@
563HAVE_CXX11 = @HAVE_CXX11@
564ICAP_LIBS = @ICAP_LIBS@
565INCLTDL = @INCLTDL@
566INSTALL = @INSTALL@
567INSTALL_DATA = @INSTALL_DATA@
568INSTALL_PROGRAM = @INSTALL_PROGRAM@
569INSTALL_SCRIPT = @INSTALL_SCRIPT@
570INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
571KRB5INCS = @KRB5INCS@
572KRB5LIBS = @KRB5LIBS@
573LBERLIB = @LBERLIB@
574LD = @LD@
575LDAPLIB = @LDAPLIB@
576LDFLAGS = @LDFLAGS@
577LIBADD_DL = @LIBADD_DL@
578LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
579LIBADD_DLOPEN = @LIBADD_DLOPEN@
580LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
581LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
582LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
583LIBLTDL = @LIBLTDL@
584LIBOBJS = @LIBOBJS@
585LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
586LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
587LIBS = @LIBS@
588LIBSASL = @LIBSASL@
589LIBTOOL = @LIBTOOL@
590LIB_DB = @LIB_DB@
591LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
592LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
593LINUXDOC = @LINUXDOC@
594LIPO = @LIPO@
595LN = @LN@
596LN_S = @LN_S@
597LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
598LTDLDEPS = @LTDLDEPS@
599LTDLINCL = @LTDLINCL@
600LTDLOPEN = @LTDLOPEN@
601LTLIBOBJS = @LTLIBOBJS@
602LT_CONFIG_H = @LT_CONFIG_H@
603LT_DLLOADERS = @LT_DLLOADERS@
604LT_DLPREOPEN = @LT_DLPREOPEN@
605MAINT = @MAINT@
606MAKEINFO = @MAKEINFO@
607MANIFEST_TOOL = @MANIFEST_TOOL@
608MINGW_LIBS = @MINGW_LIBS@
609MKDIR = @MKDIR@
610MKDIR_P = @MKDIR_P@
611MV = @MV@
612NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
613NETTLELIB = @NETTLELIB@
614NM = @NM@
615NMEDIT = @NMEDIT@
616NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
617OBJDUMP = @OBJDUMP@
618OBJEXT = @OBJEXT@
619OTOOL = @OTOOL@
620OTOOL64 = @OTOOL64@
621PACKAGE = @PACKAGE@
622PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
623PACKAGE_NAME = @PACKAGE_NAME@
624PACKAGE_STRING = @PACKAGE_STRING@
625PACKAGE_TARNAME = @PACKAGE_TARNAME@
626PACKAGE_URL = @PACKAGE_URL@
627PACKAGE_VERSION = @PACKAGE_VERSION@
628PATH_SEPARATOR = @PATH_SEPARATOR@
629PERL = @PERL@
630PKG_CONFIG = @PKG_CONFIG@
631PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
632PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
633PO2HTML = @PO2HTML@
634PO2TEXT = @PO2TEXT@
635POD2MAN = @POD2MAN@
636RANLIB = @RANLIB@
637REGEXLIB = @REGEXLIB@
638REPL_LIBS = @REPL_LIBS@
639REPL_OBJS = @REPL_OBJS@
640REPL_POLICIES = @REPL_POLICIES@
641RM = @RM@
642SED = @SED@
643SET_MAKE = @SET_MAKE@
644SH = @SH@
645SHELL = @SHELL@
646SMBCLIENT = @SMBCLIENT@
647SNMPLIB = @SNMPLIB@
648SQUID_CFLAGS = @SQUID_CFLAGS@
649SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
650SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
651SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
652SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
653SSLLIB = @SSLLIB@
654STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
655STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
656STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
657STORE_TESTS = @STORE_TESTS@
658STRIP = @STRIP@
659TR = @TR@
660TRUE = @TRUE@
661URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
662VERSION = @VERSION@
663WBINFO = @WBINFO@
664WIN32_PSAPI = @WIN32_PSAPI@
665XMLLIB = @XMLLIB@
666XTRA_LIBS = @XTRA_LIBS@
667XTRA_OBJS = @XTRA_OBJS@
668abs_builddir = @abs_builddir@
669abs_srcdir = @abs_srcdir@
670abs_top_builddir = @abs_top_builddir@
671abs_top_srcdir = @abs_top_srcdir@
672ac_ct_AR = @ac_ct_AR@
673ac_ct_CC = @ac_ct_CC@
674ac_ct_CXX = @ac_ct_CXX@
675ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
676am__include = @am__include@
677am__leading_dot = @am__leading_dot@
678am__quote = @am__quote@
679am__tar = @am__tar@
680am__untar = @am__untar@
681bindir = @bindir@
682build = @build@
683build_alias = @build_alias@
684build_cpu = @build_cpu@
685build_os = @build_os@
686build_vendor = @build_vendor@
687builddir = @builddir@
688datadir = @datadir@
689datarootdir = @datarootdir@
690docdir = @docdir@
691dvidir = @dvidir@
692exec_prefix = @exec_prefix@
693host = @host@
694host_alias = @host_alias@
695host_cpu = @host_cpu@
696host_os = @host_os@
697host_vendor = @host_vendor@
698htmldir = @htmldir@
699includedir = @includedir@
700infodir = @infodir@
701install_sh = @install_sh@
702krb5_config = @krb5_config@
703libdir = @libdir@
704libexecdir = @libexecdir@
705localedir = @localedir@
706localstatedir = @localstatedir@
707ltdl_LIBOBJS = @ltdl_LIBOBJS@
708ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
709mandir = @mandir@
710mkdir_p = @mkdir_p@
711oldincludedir = @oldincludedir@
712pdfdir = @pdfdir@
713prefix = @prefix@
714program_transform_name = @program_transform_name@
715psdir = @psdir@
716runstatedir = @runstatedir@
717sbindir = @sbindir@
718sharedstatedir = @sharedstatedir@
719srcdir = @srcdir@
720subdirs = @subdirs@
721sys_symbol_underscore = @sys_symbol_underscore@
722sysconfdir = @sysconfdir@
723target_alias = @target_alias@
724top_build_prefix = @top_build_prefix@
725top_builddir = @top_builddir@
726top_srcdir = @top_srcdir@
727AM_CFLAGS = $(SQUID_CFLAGS)
728AM_CXXFLAGS = $(SQUID_CXXFLAGS)
729CLEANFILES = testHeaders
730TESTS = testHeaders
731AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
732        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
733        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
734        $(am__append_1)
735@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
736@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
737COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
738subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
739SUBDIRS = $(am__append_2) $(am__append_3)
740noinst_LTLIBRARIES = libadaptation.la
741libadaptation_la_SOURCES = \
742        AccessCheck.cc \
743        AccessCheck.h \
744        AccessRule.cc \
745        AccessRule.h \
746        Answer.cc \
747        Answer.h \
748        Config.cc \
749        Config.h \
750        DynamicGroupCfg.cc \
751        DynamicGroupCfg.h \
752        Elements.cc \
753        Elements.h \
754        forward.h \
755        Initiate.cc \
756        Initiate.h \
757        Initiator.cc \
758        Initiator.h \
759        Iterator.cc \
760        Iterator.h \
761        Message.cc \
762        Message.h \
763        Service.cc \
764        Service.h \
765        ServiceConfig.cc \
766        ServiceConfig.h \
767        ServiceGroups.cc \
768        ServiceGroups.h \
769        ServiceFilter.cc \
770        ServiceFilter.h \
771        History.cc \
772        History.h
773
774
775# add libraries for specific adaptation schemes
776libadaptation_la_LIBADD = $(ECAP_LIBS) $(ICAP_LIBS)
777libadaptation_la_DEPENDENCIES = $(ECAP_LIBS) $(ICAP_LIBS)
778all: all-recursive
779
780.SUFFIXES:
781.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
782$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__configure_deps)
783        @for dep in $?; do \
784          case '$(am__configure_deps)' in \
785            *$$dep*) \
786              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
787                && { if test -f $@; then exit 0; else break; fi; }; \
788              exit 1;; \
789          esac; \
790        done; \
791        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/adaptation/Makefile'; \
792        $(am__cd) $(top_srcdir) && \
793          $(AUTOMAKE) --foreign src/adaptation/Makefile
794Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
795        @case '$?' in \
796          *config.status*) \
797            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
798          *) \
799            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
800            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
801        esac;
802$(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__empty):
803
804$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
805        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
806
807$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
808        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
809$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
810        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
811$(am__aclocal_m4_deps):
812
813clean-noinstLTLIBRARIES:
814        -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
815        @list='$(noinst_LTLIBRARIES)'; \
816        locs=`for p in $$list; do echo $$p; done | \
817              sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
818              sort -u`; \
819        test -z "$$locs" || { \
820          echo rm -f $${locs}; \
821          rm -f $${locs}; \
822        }
823
824libadaptation.la: $(libadaptation_la_OBJECTS) $(libadaptation_la_DEPENDENCIES) $(EXTRA_libadaptation_la_DEPENDENCIES)
825        $(AM_V_CXXLD)$(CXXLINK)  $(libadaptation_la_OBJECTS) $(libadaptation_la_LIBADD) $(LIBS)
826
827clean-checkPROGRAMS:
828        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
829        echo " rm -f" $$list; \
830        rm -f $$list || exit $$?; \
831        test -n "$(EXEEXT)" || exit 0; \
832        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
833        echo " rm -f" $$list; \
834        rm -f $$list
835
836mostlyclean-compile:
837        -rm -f *.$(OBJEXT)
838
839distclean-compile:
840        -rm -f *.tab.c
841
842@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/AccessCheck.Plo@am__quote@
843@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/AccessRule.Plo@am__quote@
844@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Answer.Plo@am__quote@
845@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Config.Plo@am__quote@
846@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/DynamicGroupCfg.Plo@am__quote@
847@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Elements.Plo@am__quote@
848@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/History.Plo@am__quote@
849@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Initiate.Plo@am__quote@
850@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Initiator.Plo@am__quote@
851@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Iterator.Plo@am__quote@
852@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Message.Plo@am__quote@
853@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Service.Plo@am__quote@
854@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ServiceConfig.Plo@am__quote@
855@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ServiceFilter.Plo@am__quote@
856@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ServiceGroups.Plo@am__quote@
857
858.cc.o:
859@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
860@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
861@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
862@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
863@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
864@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
865
866.cc.obj:
867@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
868@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
869@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
870@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
871@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
872@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
873
874.cc.lo:
875@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
876@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
877@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
878@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
879@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
880@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
881
882mostlyclean-libtool:
883        -rm -f *.lo
884
885clean-libtool:
886        -rm -rf .libs _libs
887
888# This directory's subdirectories are mostly independent; you can cd
889# into them and run 'make' without going through this Makefile.
890# To change the values of 'make' variables: instead of editing Makefiles,
891# (1) if the variable is set in 'config.status', edit 'config.status'
892#     (which will cause the Makefiles to be regenerated when you run 'make');
893# (2) otherwise, pass the desired values on the 'make' command line.
894$(am__recursive_targets):
895        @fail=; \
896        if $(am__make_keepgoing); then \
897          failcom='fail=yes'; \
898        else \
899          failcom='exit 1'; \
900        fi; \
901        dot_seen=no; \
902        target=`echo $@ | sed s/-recursive//`; \
903        case "$@" in \
904          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
905          *) list='$(SUBDIRS)' ;; \
906        esac; \
907        for subdir in $$list; do \
908          echo "Making $$target in $$subdir"; \
909          if test "$$subdir" = "."; then \
910            dot_seen=yes; \
911            local_target="$$target-am"; \
912          else \
913            local_target="$$target"; \
914          fi; \
915          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
916          || eval $$failcom; \
917        done; \
918        if test "$$dot_seen" = "no"; then \
919          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
920        fi; test -z "$$fail"
921
922ID: $(am__tagged_files)
923        $(am__define_uniq_tagged_files); mkid -fID $$unique
924tags: tags-recursive
925TAGS: tags
926
927tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
928        set x; \
929        here=`pwd`; \
930        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
931          include_option=--etags-include; \
932          empty_fix=.; \
933        else \
934          include_option=--include; \
935          empty_fix=; \
936        fi; \
937        list='$(SUBDIRS)'; for subdir in $$list; do \
938          if test "$$subdir" = .; then :; else \
939            test ! -f $$subdir/TAGS || \
940              set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
941          fi; \
942        done; \
943        $(am__define_uniq_tagged_files); \
944        shift; \
945        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
946          test -n "$$unique" || unique=$$empty_fix; \
947          if test $$# -gt 0; then \
948            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
949              "$$@" $$unique; \
950          else \
951            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
952              $$unique; \
953          fi; \
954        fi
955ctags: ctags-recursive
956
957CTAGS: ctags
958ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
959        $(am__define_uniq_tagged_files); \
960        test -z "$(CTAGS_ARGS)$$unique" \
961          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
962             $$unique
963
964GTAGS:
965        here=`$(am__cd) $(top_builddir) && pwd` \
966          && $(am__cd) $(top_srcdir) \
967          && gtags -i $(GTAGS_ARGS) "$$here"
968cscopelist: cscopelist-recursive
969
970cscopelist-am: $(am__tagged_files)
971        list='$(am__tagged_files)'; \
972        case "$(srcdir)" in \
973          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
974          *) sdir=$(subdir)/$(srcdir) ;; \
975        esac; \
976        for i in $$list; do \
977          if test -f "$$i"; then \
978            echo "$(subdir)/$$i"; \
979          else \
980            echo "$$sdir/$$i"; \
981          fi; \
982        done >> $(top_builddir)/cscope.files
983
984distclean-tags:
985        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
986
987# Recover from deleted '.trs' file; this should ensure that
988# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
989# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
990# to avoid problems with "make -n".
991.log.trs:
992        rm -f $< $@
993        $(MAKE) $(AM_MAKEFLAGS) $<
994
995# Leading 'am--fnord' is there to ensure the list of targets does not
996# expand to empty, as could happen e.g. with make check TESTS=''.
997am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
998am--force-recheck:
999        @:
1000
1001$(TEST_SUITE_LOG): $(TEST_LOGS)
1002        @$(am__set_TESTS_bases); \
1003        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1004        redo_bases=`for i in $$bases; do \
1005                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1006                    done`; \
1007        if test -n "$$redo_bases"; then \
1008          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1009          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1010          if $(am__make_dryrun); then :; else \
1011            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1012          fi; \
1013        fi; \
1014        if test -n "$$am__remaking_logs"; then \
1015          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1016               "recursion detected" >&2; \
1017        elif test -n "$$redo_logs"; then \
1018          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1019        fi; \
1020        if $(am__make_dryrun); then :; else \
1021          st=0;  \
1022          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1023          for i in $$redo_bases; do \
1024            test -f $$i.trs && test -r $$i.trs \
1025              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1026            test -f $$i.log && test -r $$i.log \
1027              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1028          done; \
1029          test $$st -eq 0 || exit 1; \
1030        fi
1031        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1032        ws='[   ]'; \
1033        results=`for b in $$bases; do echo $$b.trs; done`; \
1034        test -n "$$results" || results=/dev/null; \
1035        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
1036        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1037        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1038        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1039        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1040        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1041        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1042        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1043          success=true; \
1044        else \
1045          success=false; \
1046        fi; \
1047        br='==================='; br=$$br$$br$$br$$br; \
1048        result_count () \
1049        { \
1050            if test x"$$1" = x"--maybe-color"; then \
1051              maybe_colorize=yes; \
1052            elif test x"$$1" = x"--no-color"; then \
1053              maybe_colorize=no; \
1054            else \
1055              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1056            fi; \
1057            shift; \
1058            desc=$$1 count=$$2; \
1059            if test $$maybe_colorize = yes && test $$count -gt 0; then \
1060              color_start=$$3 color_end=$$std; \
1061            else \
1062              color_start= color_end=; \
1063            fi; \
1064            echo "$${color_start}# $$desc $$count$${color_end}"; \
1065        }; \
1066        create_testsuite_report () \
1067        { \
1068          result_count $$1 "TOTAL:" $$all   "$$brg"; \
1069          result_count $$1 "PASS: " $$pass  "$$grn"; \
1070          result_count $$1 "SKIP: " $$skip  "$$blu"; \
1071          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1072          result_count $$1 "FAIL: " $$fail  "$$red"; \
1073          result_count $$1 "XPASS:" $$xpass "$$red"; \
1074          result_count $$1 "ERROR:" $$error "$$mgn"; \
1075        }; \
1076        {                                                               \
1077          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1078            $(am__rst_title);                                           \
1079          create_testsuite_report --no-color;                           \
1080          echo;                                                         \
1081          echo ".. contents:: :depth: 2";                               \
1082          echo;                                                         \
1083          for b in $$bases; do echo $$b; done                           \
1084            | $(am__create_global_log);                                 \
1085        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1086        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1087        if $$success; then                                              \
1088          col="$$grn";                                                  \
1089         else                                                           \
1090          col="$$red";                                                  \
1091          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1092        fi;                                                             \
1093        echo "$${col}$$br$${std}";                                      \
1094        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1095        echo "$${col}$$br$${std}";                                      \
1096        create_testsuite_report --maybe-color;                          \
1097        echo "$$col$$br$$std";                                          \
1098        if $$success; then :; else                                      \
1099          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1100          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1101            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1102          fi;                                                           \
1103          echo "$$col$$br$$std";                                        \
1104        fi;                                                             \
1105        $$success || exit 1
1106
1107check-TESTS:
1108        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1109        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1110        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1111        @set +e; $(am__set_TESTS_bases); \
1112        log_list=`for i in $$bases; do echo $$i.log; done`; \
1113        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1114        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1115        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1116        exit $$?;
1117recheck: all $(check_PROGRAMS)
1118        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1119        @set +e; $(am__set_TESTS_bases); \
1120        bases=`for i in $$bases; do echo $$i; done \
1121                 | $(am__list_recheck_tests)` || exit 1; \
1122        log_list=`for i in $$bases; do echo $$i.log; done`; \
1123        log_list=`echo $$log_list`; \
1124        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1125                am__force_recheck=am--force-recheck \
1126                TEST_LOGS="$$log_list"; \
1127        exit $$?
1128testHeaders.log: testHeaders
1129        @p='testHeaders'; \
1130        b='testHeaders'; \
1131        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1132        --log-file $$b.log --trs-file $$b.trs \
1133        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1134        "$$tst" $(AM_TESTS_FD_REDIRECT)
1135.test.log:
1136        @p='$<'; \
1137        $(am__set_b); \
1138        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1139        --log-file $$b.log --trs-file $$b.trs \
1140        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1141        "$$tst" $(AM_TESTS_FD_REDIRECT)
1142@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1143@am__EXEEXT_TRUE@       @p='$<'; \
1144@am__EXEEXT_TRUE@       $(am__set_b); \
1145@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1146@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1147@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1148@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1149
1150distdir: $(DISTFILES)
1151        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1152        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1153        list='$(DISTFILES)'; \
1154          dist_files=`for file in $$list; do echo $$file; done | \
1155          sed -e "s|^$$srcdirstrip/||;t" \
1156              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1157        case $$dist_files in \
1158          */*) $(MKDIR_P) `echo "$$dist_files" | \
1159                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1160                           sort -u` ;; \
1161        esac; \
1162        for file in $$dist_files; do \
1163          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1164          if test -d $$d/$$file; then \
1165            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1166            if test -d "$(distdir)/$$file"; then \
1167              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1168            fi; \
1169            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1170              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1171              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1172            fi; \
1173            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1174          else \
1175            test -f "$(distdir)/$$file" \
1176            || cp -p $$d/$$file "$(distdir)/$$file" \
1177            || exit 1; \
1178          fi; \
1179        done
1180        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1181          if test "$$subdir" = .; then :; else \
1182            $(am__make_dryrun) \
1183              || test -d "$(distdir)/$$subdir" \
1184              || $(MKDIR_P) "$(distdir)/$$subdir" \
1185              || exit 1; \
1186            dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
1187            $(am__relativize); \
1188            new_distdir=$$reldir; \
1189            dir1=$$subdir; dir2="$(top_distdir)"; \
1190            $(am__relativize); \
1191            new_top_distdir=$$reldir; \
1192            echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
1193            echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
1194            ($(am__cd) $$subdir && \
1195              $(MAKE) $(AM_MAKEFLAGS) \
1196                top_distdir="$$new_top_distdir" \
1197                distdir="$$new_distdir" \
1198                am__remove_distdir=: \
1199                am__skip_length_check=: \
1200                am__skip_mode_fix=: \
1201                distdir) \
1202              || exit 1; \
1203          fi; \
1204        done
1205check-am: all-am
1206        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1207        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1208check: check-recursive
1209all-am: Makefile $(LTLIBRARIES)
1210installdirs: installdirs-recursive
1211installdirs-am:
1212install: install-recursive
1213install-exec: install-exec-recursive
1214install-data: install-data-recursive
1215uninstall: uninstall-recursive
1216
1217install-am: all-am
1218        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1219
1220installcheck: installcheck-recursive
1221install-strip:
1222        if test -z '$(STRIP)'; then \
1223          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1224            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1225              install; \
1226        else \
1227          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1228            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1229            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1230        fi
1231mostlyclean-generic:
1232        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1233        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1234        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1235
1236clean-generic:
1237        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1238
1239distclean-generic:
1240        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1241        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1242
1243maintainer-clean-generic:
1244        @echo "This command is intended for maintainers to use"
1245        @echo "it deletes files that may require special tools to rebuild."
1246clean: clean-recursive
1247
1248clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1249        clean-noinstLTLIBRARIES mostlyclean-am
1250
1251distclean: distclean-recursive
1252        -rm -rf ./$(DEPDIR)
1253        -rm -f Makefile
1254distclean-am: clean-am distclean-compile distclean-generic \
1255        distclean-tags
1256
1257dvi: dvi-recursive
1258
1259dvi-am:
1260
1261html: html-recursive
1262
1263html-am:
1264
1265info: info-recursive
1266
1267info-am:
1268
1269install-data-am:
1270
1271install-dvi: install-dvi-recursive
1272
1273install-dvi-am:
1274
1275install-exec-am:
1276
1277install-html: install-html-recursive
1278
1279install-html-am:
1280
1281install-info: install-info-recursive
1282
1283install-info-am:
1284
1285install-man:
1286
1287install-pdf: install-pdf-recursive
1288
1289install-pdf-am:
1290
1291install-ps: install-ps-recursive
1292
1293install-ps-am:
1294
1295installcheck-am:
1296
1297maintainer-clean: maintainer-clean-recursive
1298        -rm -rf ./$(DEPDIR)
1299        -rm -f Makefile
1300maintainer-clean-am: distclean-am maintainer-clean-generic
1301
1302mostlyclean: mostlyclean-recursive
1303
1304mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1305        mostlyclean-libtool
1306
1307pdf: pdf-recursive
1308
1309pdf-am:
1310
1311ps: ps-recursive
1312
1313ps-am:
1314
1315uninstall-am:
1316
1317.MAKE: $(am__recursive_targets) check-am install-am install-strip
1318
1319.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
1320        check-TESTS check-am clean clean-checkPROGRAMS clean-generic \
1321        clean-libtool clean-noinstLTLIBRARIES cscopelist-am ctags \
1322        ctags-am distclean distclean-compile distclean-generic \
1323        distclean-libtool distclean-tags distdir dvi dvi-am html \
1324        html-am info info-am install install-am install-data \
1325        install-data-am install-dvi install-dvi-am install-exec \
1326        install-exec-am install-html install-html-am install-info \
1327        install-info-am install-man install-pdf install-pdf-am \
1328        install-ps install-ps-am install-strip installcheck \
1329        installcheck-am installdirs installdirs-am maintainer-clean \
1330        maintainer-clean-generic mostlyclean mostlyclean-compile \
1331        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1332        recheck tags tags-am uninstall uninstall-am
1333
1334.PRECIOUS: Makefile
1335
1336
1337$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1338
1339testHeaders: $(srcdir)/*.h
1340        $(SHELL) $(top_srcdir)/test-suite/testheaders.sh "$(CXXCOMPILE)" $^ || exit 1
1341
1342.PHONY: testHeaders
1343
1344# Tell versions [3.59,3.63) of GNU make to not export all variables.
1345# Otherwise a system limit (for SysV at least) may be exceeded.
1346.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.